Forgot password?

Create an account!

Forum

« back

RhinoScript – How to make point with specific Z hight

Messages

Please log in to write a message.

  • 7. Hanno (Jan 03, 2011 11.55):

    No problem. Just bear in mind, that the RhinoScript help is a very helpful resource. For a general start, there is also a good tutorial by David Rutten (see Links section). This can also teach you structures like loops (concerning your "multiple points" question). If you are stuck, you can always ask again in the forums :-)

    Hanno

  • 6. RGorshkov (Jan 03, 2011 11.43):

    ok, I will try. Thank you Hanno.
    I just started to use rhinoscript.
    Whant to make tool for getting poins with specific hight. For topo making

  • 5. Hanno (Jan 03, 2011 11.13):

    Hi,

    no offense, but you do not know how to use GetPoint. If you look at the RhinoScript documentation, you can see that there is a parameter blnPlane:

    Rhino.GetPoint (, , , true)

    constraints the point selection to the active cplane.
    Use ViewCPlane to set the cplane beforehands.

    Hanno

  • 4. RGorshkov (Jan 03, 2011 11.00):

    This one doesn't work as well.

    Call Main()
    Sub Main()

            Dim arrPoint
            Dim Z
           

            Z = Rhino.GetInteger ("Hight")
            arrPoint = Rhino.GetPoint

           
            Call Rhino.AddPoint(arrPoint)
           
           
    End Sub
  • 3. RGorshkov (Jan 03, 2011 10.56):

    Thanks.
    Yes I know how to use GetPoint, but how constrain point selection?

  • 2. Hanno (Jan 03, 2011 10.07):

    Hi,

    use GetPoints to let the user set multiple points by clicking in the viewport. You can constrain point selection to the active cplane, so you should set the cplane according to your z input before the call to GetPoints.

    Hanno

  • 1. RGorshkov (Jan 01, 2011 19.03):

    Dear all,
    I what to make script that will create points by my click whith asking me about point Z hight.

    Here is my script. But it creates just one point also I need to specify X,Y coordinates in script body. I what to specify X and Y by clicking in viewport.
    Need you help.

    Call Main()
    Sub Main()

            Dim arrPoint
            Dim Z
           

            Z = Rhino.GetInteger ("Hight")
            arrPoint = array(0,0,Z)

           
            Call Rhino.AddPoint(arrPoint)
           
           
    End Sub

    Thanks

Recommend

Why are these buttons gray?